"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BasicMenu = BasicMenu;
exports.MenuListComposition = MenuListComposition;
exports.OutsideTheme = exports.SelectComponent = exports.SelectField = exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styles = require("@material-ui/core/styles");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _Menu = _interopRequireDefault(require("@material-ui/core/Menu"));

var _MenuList = _interopRequireDefault(require("@material-ui/core/MenuList"));

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _TextField = _interopRequireDefault(require("@material-ui/core/TextField"));

var _FormControl = _interopRequireDefault(require("@material-ui/core/FormControl"));

var _Select = _interopRequireDefault(require("@material-ui/core/Select"));

var _InputLabel = _interopRequireDefault(require("@material-ui/core/InputLabel"));

var _FormHelperText = _interopRequireDefault(require("@material-ui/core/FormHelperText"));

var _MenuBootstrap = require("./MenuBootstrap.styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var baseTheme = (0, _styles.createMuiTheme)({
  typography: {
    fontFamily: 'system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"'
  }
});
var textfieldStandardStyles = (0, _MenuBootstrap.createMenuBootstrapStyles)(baseTheme);

function withTheme(Story, context) {
  return /*#__PURE__*/_react["default"].createElement(_styles.ThemeProvider, {
    theme: _extends({}, baseTheme, {
      components: textfieldStandardStyles
    })
  }, /*#__PURE__*/_react["default"].createElement(Story, context));
}

var _default = {
  title: "Component/Menu/Bootstrap",
  argTypes: {
    margin: {
      control: {
        type: "select",
        options: ["none", "dense", "normal"]
      }
    }
  },
  args: {
    error: false,
    variant: "standard",
    label: "Label"
  },
  parameters: {
    layout: "centered"
  },
  decorators: [withTheme]
};
exports["default"] = _default;

function BasicMenu() {
  var _React$useState = _react["default"].useState(null),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      anchorEl = _React$useState2[0],
      setAnchorEl = _React$useState2[1];

  var open = Boolean(anchorEl);

  var handleClick = function handleClick(event) {
    setAnchorEl(event.currentTarget);
  };

  var handleClose = function handleClose() {
    setAnchorEl(null);
  };

  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    id: "basic-button",
    "aria-controls": "basic-menu",
    "aria-haspopup": "true",
    "aria-expanded": open ? "true" : undefined,
    onClick: handleClick
  }, "Dashboard"), /*#__PURE__*/_react["default"].createElement(_Menu["default"], {
    id: "basic-menu",
    autoFocus: false,
    anchorEl: anchorEl,
    open: open,
    onClose: handleClose,
    MenuListProps: {
      "aria-labelledby": "basic-button"
    }
  }, /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    onClick: handleClose
  }, "Profile"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    onClick: handleClose
  }, "My account"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    onClick: handleClose
  }, "Logout")));
}

function MenuListComposition() {
  return /*#__PURE__*/_react["default"].createElement(_Paper["default"], null, /*#__PURE__*/_react["default"].createElement(_MenuList["default"], null, /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], null, "Profile"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], null, "My account"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], null, "Logout")));
}

var SelectField = function SelectField(args) {
  var _useState = (0, _react.useState)(""),
      _useState2 = _slicedToArray(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  return /*#__PURE__*/_react["default"].createElement(_TextField["default"], _extends({}, args, {
    InputLabelProps: {
      shrink: true
    },
    select: true,
    SelectProps: {
      displayEmpty: true
    },
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: ""
  }, /*#__PURE__*/_react["default"].createElement("em", null, "Select Option")), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 1
  }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 2
  }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 3
  }, "Option 3"));
};

exports.SelectField = SelectField;
SelectField.args = {
  fullWidth: true,
  size: "medium",
  helperText: "This is a helper text"
};

var SelectComponent = function SelectComponent(args) {
  var _useState3 = (0, _react.useState)(""),
      _useState4 = _slicedToArray(_useState3, 2),
      value = _useState4[0],
      setValue = _useState4[1];

  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_FormControl["default"], args, /*#__PURE__*/_react["default"].createElement(_InputLabel["default"], {
    shrink: true
  }, "Manual Label"), /*#__PURE__*/_react["default"].createElement(_Select["default"], {
    displayEmpty: true,
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }, /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: ""
  }, /*#__PURE__*/_react["default"].createElement("em", null, "Select Option")), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 1
  }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 2
  }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    value: 3
  }, "Option 3")), /*#__PURE__*/_react["default"].createElement(_FormHelperText["default"], null, "Hey! need help")));
};

exports.SelectComponent = SelectComponent;
SelectComponent.args = {
  fullWidth: true,
  size: "medium"
};

function withBaseTheme(Story, context) {
  return /*#__PURE__*/_react["default"].createElement(_styles.ThemeProvider, {
    theme: baseTheme
  }, /*#__PURE__*/_react["default"].createElement(Story, context));
}

var OutsideTheme = function OutsideTheme() {
  var _useState5 = (0, _react.useState)(""),
      _useState6 = _slicedToArray(_useState5, 2),
      value = _useState6[0],
      setValue = _useState6[1];

  var styles = (0, _MenuBootstrap.useMenuBootstrapStyles)();
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_TextField["default"], {
    select: true,
    margin: "normal",
    placeholder: "placeholder",
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    },
    SelectProps: {
      displayEmpty: true,
      MenuProps: {
        classes: styles.Menu,
        anchorOrigin: {
          vertical: "bottom",
          horizontal: "center"
        },
        transformOrigin: {
          horizontal: "center",
          vertical: "top"
        }
      }
    }
  }, /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: ""
  }, /*#__PURE__*/_react["default"].createElement("em", null, "Select Option")), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 1
  }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 2
  }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 3
  }, "Option 3")), /*#__PURE__*/_react["default"].createElement("br", null), /*#__PURE__*/_react["default"].createElement(_Select["default"], {
    displayEmpty: true,
    value: value,
    MenuProps: {
      classes: styles.Menu,
      anchorOrigin: {
        vertical: "bottom",
        horizontal: "left"
      },
      transformOrigin: {
        horizontal: "left",
        vertical: "top"
      }
    },
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }, /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: ""
  }, /*#__PURE__*/_react["default"].createElement("em", null, "Select Option")), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 1
  }, "Option 1"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 2
  }, "Option 2"), /*#__PURE__*/_react["default"].createElement(_MenuItem["default"], {
    classes: styles.MenuItem,
    value: 3
  }, "Option 3")));
};

exports.OutsideTheme = OutsideTheme;
OutsideTheme.decorators = [withBaseTheme];