function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useState } from "react";
import { ThemeProvider, createMuiTheme } from "@material-ui/core/styles";
import Button from "@material-ui/core/Button";
import Menu from "@material-ui/core/Menu";
import MenuList from "@material-ui/core/MenuList";
import MenuItem from "@material-ui/core/MenuItem";
import Paper from "@material-ui/core/Paper";
import TextField from "@material-ui/core/TextField";
import FormControl from "@material-ui/core/FormControl";
import Select from "@material-ui/core/Select";
import InputLabel from "@material-ui/core/InputLabel";
import FormHelperText from "@material-ui/core/FormHelperText";
import { createMenuBootstrapStyles, useMenuBootstrapStyles } from "./MenuBootstrap.styles";
var baseTheme = createMuiTheme({
  typography: {
    fontFamily: 'system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"'
  }
});
var textfieldStandardStyles = createMenuBootstrapStyles(baseTheme);

function withTheme(Story, context) {
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: _extends({}, baseTheme, {
      components: textfieldStandardStyles
    })
  }, /*#__PURE__*/React.createElement(Story, context));
}

export default {
  title: "Component/Menu/Bootstrap",
  argTypes: {
    margin: {
      control: {
        type: "select",
        options: ["none", "dense", "normal"]
      }
    }
  },
  args: {
    error: false,
    variant: "standard",
    label: "Label"
  },
  parameters: {
    layout: "centered"
  },
  decorators: [withTheme]
};
export function BasicMenu() {
  var _React$useState = React.useState(null),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      anchorEl = _React$useState2[0],
      setAnchorEl = _React$useState2[1];

  var open = Boolean(anchorEl);

  var handleClick = function handleClick(event) {
    setAnchorEl(event.currentTarget);
  };

  var handleClose = function handleClose() {
    setAnchorEl(null);
  };

  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Button, {
    id: "basic-button",
    "aria-controls": "basic-menu",
    "aria-haspopup": "true",
    "aria-expanded": open ? "true" : undefined,
    onClick: handleClick
  }, "Dashboard"), /*#__PURE__*/React.createElement(Menu, {
    id: "basic-menu",
    autoFocus: false,
    anchorEl: anchorEl,
    open: open,
    onClose: handleClose,
    MenuListProps: {
      "aria-labelledby": "basic-button"
    }
  }, /*#__PURE__*/React.createElement(MenuItem, {
    onClick: handleClose
  }, "Profile"), /*#__PURE__*/React.createElement(MenuItem, {
    onClick: handleClose
  }, "My account"), /*#__PURE__*/React.createElement(MenuItem, {
    onClick: handleClose
  }, "Logout")));
}
export function MenuListComposition() {
  return /*#__PURE__*/React.createElement(Paper, null, /*#__PURE__*/React.createElement(MenuList, null, /*#__PURE__*/React.createElement(MenuItem, null, "Profile"), /*#__PURE__*/React.createElement(MenuItem, null, "My account"), /*#__PURE__*/React.createElement(MenuItem, null, "Logout")));
}
export var SelectField = function SelectField(args) {
  var _useState = useState(""),
      _useState2 = _slicedToArray(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  return /*#__PURE__*/React.createElement(TextField, _extends({}, args, {
    InputLabelProps: {
      shrink: true
    },
    select: true,
    SelectProps: {
      displayEmpty: true
    },
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }), /*#__PURE__*/React.createElement(MenuItem, {
    value: ""
  }, /*#__PURE__*/React.createElement("em", null, "Select Option")), /*#__PURE__*/React.createElement(MenuItem, {
    value: 1
  }, "Option 1"), /*#__PURE__*/React.createElement(MenuItem, {
    value: 2
  }, "Option 2"), /*#__PURE__*/React.createElement(MenuItem, {
    value: 3
  }, "Option 3"));
};
SelectField.args = {
  fullWidth: true,
  size: "medium",
  helperText: "This is a helper text"
};
export var SelectComponent = function SelectComponent(args) {
  var _useState3 = useState(""),
      _useState4 = _slicedToArray(_useState3, 2),
      value = _useState4[0],
      setValue = _useState4[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FormControl, args, /*#__PURE__*/React.createElement(InputLabel, {
    shrink: true
  }, "Manual Label"), /*#__PURE__*/React.createElement(Select, {
    displayEmpty: true,
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }, /*#__PURE__*/React.createElement(MenuItem, {
    value: ""
  }, /*#__PURE__*/React.createElement("em", null, "Select Option")), /*#__PURE__*/React.createElement(MenuItem, {
    value: 1
  }, "Option 1"), /*#__PURE__*/React.createElement(MenuItem, {
    value: 2
  }, "Option 2"), /*#__PURE__*/React.createElement(MenuItem, {
    value: 3
  }, "Option 3")), /*#__PURE__*/React.createElement(FormHelperText, null, "Hey! need help")));
};
SelectComponent.args = {
  fullWidth: true,
  size: "medium"
};

function withBaseTheme(Story, context) {
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: baseTheme
  }, /*#__PURE__*/React.createElement(Story, context));
}

export var OutsideTheme = function OutsideTheme() {
  var _useState5 = useState(""),
      _useState6 = _slicedToArray(_useState5, 2),
      value = _useState6[0],
      setValue = _useState6[1];

  var styles = useMenuBootstrapStyles();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TextField, {
    select: true,
    margin: "normal",
    placeholder: "placeholder",
    value: value,
    onChange: function onChange(event) {
      return setValue(event.target.value);
    },
    SelectProps: {
      displayEmpty: true,
      MenuProps: {
        classes: styles.Menu,
        anchorOrigin: {
          vertical: "bottom",
          horizontal: "center"
        },
        transformOrigin: {
          horizontal: "center",
          vertical: "top"
        }
      }
    }
  }, /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: ""
  }, /*#__PURE__*/React.createElement("em", null, "Select Option")), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 1
  }, "Option 1"), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 2
  }, "Option 2"), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 3
  }, "Option 3")), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Select, {
    displayEmpty: true,
    value: value,
    MenuProps: {
      classes: styles.Menu,
      anchorOrigin: {
        vertical: "bottom",
        horizontal: "left"
      },
      transformOrigin: {
        horizontal: "left",
        vertical: "top"
      }
    },
    onChange: function onChange(event) {
      return setValue(event.target.value);
    }
  }, /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: ""
  }, /*#__PURE__*/React.createElement("em", null, "Select Option")), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 1
  }, "Option 1"), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 2
  }, "Option 2"), /*#__PURE__*/React.createElement(MenuItem, {
    classes: styles.MenuItem,
    value: 3
  }, "Option 3")));
};
OutsideTheme.decorators = [withBaseTheme];