import { makeStyles } from "@material-ui/core/styles";
export var createMenuBootstrapStyles = function createMenuBootstrapStyles(theme) {
  return {
    MuiMenu: {
      defaultProps: {
        anchorOrigin: {
          vertical: "bottom",
          horizontal: "left"
        },
        transformOrigin: {
          horizontal: "left",
          vertical: "top"
        }
      },
      styleOverrides: {
        paper: {
          "&.MuiPaper-root": {
            boxShadow: "none"
          },
          border: "1px solid",
          borderColor: "rgba(0,0,0,.15)",
          marginTop: 2
        }
      }
    },
    MuiMenuItem: {
      defaultProps: {
        // @ts-expect-error
        disableRipple: true
      },
      styleOverrides: {
        root: {
          transition: "none",
          "&:hover, &:focus": {
            backgroundColor: "#e9ecef"
          },
          "&:active, &.Mui-selected, &.Mui-selected.Mui-focusVisible, &.Mui-selected:hover": {
            color: "#fff",
            backgroundColor: "#0d6efd"
          }
        }
      }
    }
  };
};
var useMenuStyles = makeStyles( // @ts-expect-error
function (theme) {
  return createMenuBootstrapStyles(theme).MuiMenu.styleOverrides;
});
var useMenuItemStyles = makeStyles( // @ts-expect-error
function (theme) {
  return createMenuBootstrapStyles(theme).MuiMenuItem.styleOverrides;
});
export var useMenuBootstrapStyles = function useMenuBootstrapStyles() {
  return {
    Menu: useMenuStyles(),
    MenuItem: useMenuItemStyles()
  };
};